#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long p, q, r, m ,n, i, br = 0 ;
    cin >> p >> q >> r >> m >> n;
    for(i = m; i <=n ; i ++)
    {
        if(ceil(i*1.0/p)+ceil(i*1.0/q)+ceil(i*1.0/r) <= i)
            br ++;
    }
    cout << br;
    return 0;
}